Subject: Satisfied Enco Customer

From: [email-masked] (Chester A. Roberts, Jr.)
Date: 6 Jun 1995 14:06:01 GMT

As I surf the "net" I have come to the realization that
"the negative observation" seems to dominate the usenet groups.

I am a very satisfied ENCO customer.  Their products are very
competively priced, and their quality is in correlation to the
price I am willing to pay.

Sometimes I have to wait for parts...but not for long.

To me "value" is a relative term...I don't expect a diamond for
cubic zirconium prices.  And there's lots of times a cubic
zirconium will fit the bill very nicely.

Why is it that the folks whose glass is half empty are motivated
to voice their discontent, while those of us whose glass is half
full seldom enter the marketplace of idea exchange?

Is this penchant for finding and proclaiming only the faults
unique to us in the U.S. or is it a more fundamental human
condition.

Regards,  Chet [email-masked]

---

From: [email-masked] (Jonathan M. Elson)
Date: 6 Jun 1995 18:30:17 GMT

Chester A. Roberts, Jr. ([email-masked]) wrote:

: As I surf the "net" I have come to the realization that
: "the negative observation" seems to dominate the usenet groups.

: I am a very satisfied ENCO customer.  Their products are very
: competively priced, and their quality is in correlation to the
: price I am willing to pay.

Yes as a BUYER of Enco items, I also get what I pay for, sometimes even 
better.  They do not have universal low prices, sometimes items can be bought
>from  MSC or KBC for less.  It definitely pays to shop around.  Enco has
been VERY slow in supplying some items in the last 6 months or so.  We have
had to cancel a few orders.

The original thread, however, was dealing with SELLING a unique item
THROUGH Enco.

---

From: Mac <[email-masked]>
Date: Tue, 6 Jun 1995 16:19:21 GMT

[email-masked] (Chester A. Roberts, Jr.) 
>"the negative observation" seems to dominate the usenet groups.
<snip>

>unique to us in the U.S. or is it a more fundamental human

Chet,

I believe this falls into the "Fat, Dumb, and Happy" 
category. When your pleased with something, you don't have 
a complaint, so one just sits around enjoying the pleasent 
feeling.

-- 
Mac
Homebrewer and tinker by choice, Computer geek by trade.

---

From: [email-masked] (Bob Gobeille)
Date: 6 Jun 1995 11:36:36 -0600

<snip>
: Is this penchant for finding and proclaiming only the faults
: unique to us in the U.S. or is it a more fundamental human
: condition.

You do realize that you are complaining about the complainers? :-)
I think the reason for "the negative observation" has to do with
expectations.  You expect a good service or product.  If you
don't get what you expect, you have an UNUSUAL condition that
you feel compelled to write about.  Who would write about the
usual?  I hope you go along with this reasoning, because it is a very 
positive statement about our society.  It says that in the usual 
course of business, good service and products are the norm.

I agree with your comments about the value of ENCO products.
I bought one of their bandsaws because of the comments in this
newsgroup (thanks Ernie and others).  The comments were practical
so I could evaluate what I would get for my money.  I decided
the cost benefits outweighed the negative construction details.
My major complaint about ENCO was that it took a month to get
parts that were supposedly in stock.  On the positive side, they
refunded my money (plus shipping) on some blades I sent back
with NO hassles.

---

From: [email-masked] (BILLG63475)
Date: 7 Jun 1995 23:49:02 -0400

But... I just purchased a cheap (Mill) hold down clamp set. Now I knew
that I wasnt going to get the best, but I didnt expect the T-Nuts to be so
oversized that they wouldnt fit the slots in the table and the triangular
shaped blocks that are supposed to fit together for supporting the clamps
were so poorly finished that they will not fit together...And that nice
metal stand for organizing all those nice clamps and stuff....forget it,
it was so poorly fabricated that most of the parts dont fit! 

I have always been a satisfied customer and have received what I expected,
but this hold down set is really  worthless!

As for the response from ENCO Glendale CA., they said well its imported! 

Hope I have better luck next time.

I was also looking for a Kurt angle-lock vise, Enco had an un-believable
low price on the 4 inch but was almost a $100.00 higher than the local
high priced tool supplier on the 3" model. So it pays to shop around!

Bill

---

From: [email-masked] (Barry Workman)
Date: Thu, 8 Jun 1995 07:53:48 GMT

>Regards,  Chet [email-masked]

I've purchased many items from ENCO.  I have not purchased any
of their large machines.  When I go into my local ENCO dealer,
I expect that half of my list will not be in stock.  The other
half, the part they do have, will take me the greater part of
an hour making sure that the tool will meet the specs I need.
Fortunately, the ENCO people will let me go through several 
copies of the item until I'm satisfied.  The flip side of this
exercise is the machine tools.  I've been into ENCO, Rutland,
IPS, and several smaller suppliers here in S. Cal.  Everywhere
but ENCO the floor models were clean, oiled, and showed no rust
or lack of care.  The ENCO floor models on the other hand, all
had some surface rust somewhere.  What oil there was on the 
exposed surfaces was old and thick with dust.  Now, they may not
deliver machines in the same condition but one would think that
a major supplier of machine tools would take the time to insure
that all floor models were clean and up to spec.  (IPS used to
have a large selection of used machines and even these were well
cared for on the floor -- even the ones that had had some very
hard use and abuse by their previous owners.)

I guess what I'm driving at is given that an ENCO 8"X20" lathe
costs about the same as the EMPRISE at Rutland or the *mumble*
at IPS, I'd give some consideration to the attitude of the
vendor towards their stock.
-- 
    - Barry Workman

---

From: [email-masked] (gary preckshot)
Date: 8 Jun 1995 20:36:44 GMT

In article <[email-masked]>, [email-masked]
> price I am willing to pay.
[more...]

I think part of the problem is that many people don't realize that Enco has
a three tiered price structure: lowball import, medium quality, and the
high priced spread.  These people buy lowball, expecting wonders for
nothing.  If you buy lowball, then you probably should inspect what you're
getting before you buy it.  Poor quality control is almost guaranteed.  You
need to do a little cherry picking.  Naturally, they're angry when they
don't get "quality" for nothing.  There's a minimum price even for
bargains, and part of it is vigilance.  Some of the heat in the negative
posts probably comes from the unadmitted realization of foolhood.

Like a number of other posters, I've found good values in some lowball
merchandise (after picking over the leavings like a vulture) and I've found
the medium price tier to be fairly reliable.  And if you want to pay top
dollar, Enco will take your money just like anyone else.

What I really like about Enco is their selection.  Compared to other
outfits, they've got almost everything in cutters, machinery, measuring
equipment, and work holding products that I've found a need for, and,
according to my wife, I discover new needs with every machinery catalog I
receive.  Now, if only they really had everything in stock...